import com.imsl.chart.*;
import java.awt.Color;

public class SampleContour extends JFrameChart {
    
    public SampleContour() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        
        double xGrid[] = {0, .2, .4, .6, .8, 1.0};
        double yGrid[] = {0, .1, .2, .3, .4, .5, .6, .7, 1.};
        double zData[][] = new double[xGrid.length][yGrid.length];
        for (int i = 0;  i < xGrid.length;  i++) {
            for (int j = 0;  j < yGrid.length;  j++) {
                double x = xGrid[i];
                double y = yGrid[j];
                zData[i][j] = Math.exp(-x)*Math.cos(x-y);
            }
        }
        double level[] = {.4, .6, .8};
        Contour contour = new Contour(axis, xGrid, yGrid, zData, level);
        contour.getContourLegend().setPaint(true);
        contour.getContourLevel(0).setFillColor(Color.blue);
        contour.getContourLevel(1).setFillColor(Color.yellow);
        contour.getContourLevel(2).setFillColor(Color.green);
        contour.getContourLevel(3).setFillColor(Color.red);
        
        contour.getContourLevel(0).setLineColor("darkblue");
        contour.getContourLevel(1).setLineColor(Color.orange);
        contour.getContourLevel(2).setLineColor("darkgreen");
        contour.getContourLevel(3).setLineColor("darkred");
    }
    
    public static void main(String argv[]) {
        new SampleContour().setVisible(true);
    }
}
